DROP TYPE()

NAME
DROP TYPE - remove a data type

SYNOPSIS

DROP TYPE name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP TYPE will remove a user-defined data type. Only the owner of a type can remove it.

PARAMETERS

name
    The name (optionally schema-qualified) of the data type to remove.

CASCADE
    Automatically drop objects that depend on the type (such as table columns, functions, operators).

RESTRICT
    Refuse to drop the type if any objects depend on it. This is the default.

EXAMPLES

To remove the data type box:

DROP TYPE box;

COMPATIBILITY

This command is similar to the corresponding command in the SQL standard, but note that the CREATE TYPE command and the data type extension mechanisms in PostgreSQL differ from the SQL standard.

SEE ALSO
CREATE TYPE [create_type(7)]